Summary:       A Python interface to libpcap
Name:          pcapy
Version:       0.11.5
Release:       4%{?dist}
License:       ASL 1.1
URL:           https://www.coresecurity.com/corelabs-research/open-source-tools/pcapy
Source0:       https://github.com/CoreSecurity/pcapy/archive/%{version}.tar.gz#/pcapy-%{version}.tar.gz

Patch3000:     fix-setuptools-build.patch
Patch3001:     py_ssize_t.patch

BuildRequires: gcc-c++ python3-devel python3-setuptools libpcap-devel

%description
Pcapy is a Python extension module that interfaces with the libpcap packet capture library. Pcapy
enables python scripts to capture packets on the network. Pcapy is highly effective when used in
conjunction with a packet-handling package such as Impacket, which is a collection of Python classes
for constructing and dissecting network packets.

%package -n python3-pcapy
Summary:        A Python interface to libpcap

%description -n python3-pcapy
Pcapy is a Python extension module that interfaces with the libpcap packet capture library. Pcapy
enables python scripts to capture packets on the network. Pcapy is highly effective when used in
conjunction with a packet-handling package such as Impacket, which is a collection of Python classes
for constructing and dissecting network packets.
Python3 package of pcapy.

%prep
%autosetup -n %{name}-%{version} -p1

iconv -f IBM850 -t UTF8 pcapy.html > pcapy.html.tmp
mv pcapy.html.tmp pcapy.html

%build
%py3_build

%install
%py3_install

rm -rf %{buildroot}%{_defaultdocdir}/pcapy

%files -n python3-pcapy
%license LICENSE
%doc README pcapy.html
%{python3_sitearch}/*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.11.5-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.11.5-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.11.5-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Feb 9 2023 Shuo Wang <abushwang@tencent.com> - 0.11.5-1
- initial build
